<?php
class BuscarFileAction extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $this->s_Id = $this->getRequestParameter( 'ord_id' );
        
        $o_VTA_OrdenFN = new VTA_OrdenFN();
        $o_VTA_OrdenBN = $o_VTA_OrdenFN->selectByPK( $this->s_Id );
        
        $this->b_Control = true;
        
        if( $o_VTA_OrdenBN->getOrdenEstado() == VTA_OrdenBN::ESTADO_ANULADO || $o_VTA_OrdenBN->getOrdenEstado() == VTA_OrdenBN::ESTADO_CERRADO || $o_VTA_OrdenBN->getOrdenEstado() == VTA_OrdenBN::ESTADO_FACTURA )
        {
            $this->b_Control = false;
        }
    }
}